Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface Type

All Superinterfaces:
  Node, java.io.Serializable

    public interface Type

extends Node

An XQuery sequence type.

Field Summary
`static java.lang.String` | `ANYSIMPLETYPE`
`static int` | `ANYSIMPLETYPE_KIND`
`static java.lang.String` | `ANYTYPE`
`static int` | `ANYTYPE_KIND`
`static java.lang.String` | `ATOMIC`
`static int` | `ATOMIC_KIND`
`static java.lang.String` | `ATTRIBUTE`
`static int` | `ATTRIBUTE_KIND`
`static java.lang.String` | `CHANGED`
`static java.lang.String` | `CHANGED_ELEMENT`
`static int` | `CHANGED_ELEMENT_KIND`
`static int` | `CHANGED_KIND`
`static java.lang.String` | `COMMENT`
`static int` | `COMMENT_KIND`
`static java.lang.String` | `DOCUMENT_NODE`
`static int` | `DOCUMENT_NODE_KIND`
`static java.lang.String` | `ELEMENT`
`static int` | `ELEMENT_KIND`
`static java.lang.String` | `EMPTY`
`static int` | `EMPTY_KIND`
`static java.lang.String` | `ITEM`
`static int` | `ITEM_KIND`
`static java.lang.String[]` | `KIND_ARRAY`
`static java.lang.String` | `NODE`
`static int` | `NODE_KIND`
`static int` | `ONE`
`static int` | `PLUS`
`static java.lang.String` | `PROCESSING_INSTRUCTION`
`static int` | `PROCESSING_INSTRUCTION_KIND`
`static int` | `QUES`
`static java.lang.String` | `RESERVED`
`static char` | `SDO`
`static char` | `SOAP`
`static int` | `STAR`
`static java.lang.String` | `TEXT`
`static int` | `TEXT_KIND`
`static java.lang.String` | `UNTYPED`
`static java.lang.String` | `UNTYPED_ATOMIC`
`static int` | `UNTYPED_ATOMIC_KIND`
`static int` | `UNTYPED_KIND`
`static char` | `XML`
`static char` | `XML_SCHEMA`
`static char` | `XQUERY`
`static int` | `ZERO`

Method Summary
`java.lang.Character` | `getBuiltInKind()`
`char` | `getKind()`
`SchemaRef` | `getPrimarySchemaRef()`
`javax.xml.namespace.QName` | `getQName()`
`int` | `getQuantifier()`
`java.lang.String` | `getSchemaLocator()` Deprecated. Use getPrimarySchemaRef() instead
`java.util.Collection` | `getSchemaRefs()`
`boolean` | `isBuiltIn()`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Field Detail

### ATOMIC

    static final java.lang.String ATOMIC

See Also:
  Constant Field Values

### ATTRIBUTE

    static final java.lang.String ATTRIBUTE

See Also:
  Constant Field Values

### COMMENT

    static final java.lang.String COMMENT

See Also:
  Constant Field Values

### DOCUMENT_NODE

    static final java.lang.String DOCUMENT_NODE

See Also:
  Constant Field Values

### ELEMENT

    static final java.lang.String ELEMENT

See Also:
  Constant Field Values

### EMPTY

    static final java.lang.String EMPTY

See Also:
  Constant Field Values

### ITEM

    static final java.lang.String ITEM

See Also:
  Constant Field Values

### NODE

    static final java.lang.String NODE

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    static final java.lang.String PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### TEXT

    static final java.lang.String TEXT

See Also:
  Constant Field Values

### RESERVED

    static final java.lang.String RESERVED

See Also:
  Constant Field Values

### ANYTYPE

    static final java.lang.String ANYTYPE

See Also:
  Constant Field Values

### ANYSIMPLETYPE

    static final java.lang.String ANYSIMPLETYPE

See Also:
  Constant Field Values

### UNTYPED

    static final java.lang.String UNTYPED

See Also:
  Constant Field Values

### UNTYPED_ATOMIC

    static final java.lang.String UNTYPED_ATOMIC

See Also:
  Constant Field Values

### CHANGED

    static final java.lang.String CHANGED

See Also:
  Constant Field Values

### CHANGED_ELEMENT

    static final java.lang.String CHANGED_ELEMENT

See Also:
  Constant Field Values

### KIND_ARRAY

    static final java.lang.String[] KIND_ARRAY

### ATTRIBUTE_KIND

    static final int ATTRIBUTE_KIND

See Also:
  Constant Field Values

### COMMENT_KIND

    static final int COMMENT_KIND

See Also:
  Constant Field Values

### DOCUMENT_NODE_KIND

    static final int DOCUMENT_NODE_KIND

See Also:
  Constant Field Values

### ELEMENT_KIND

    static final int ELEMENT_KIND

See Also:
  Constant Field Values

### EMPTY_KIND

    static final int EMPTY_KIND

See Also:
  Constant Field Values

### ITEM_KIND

    static final int ITEM_KIND

See Also:
  Constant Field Values

### NODE_KIND

    static final int NODE_KIND

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION_KIND

    static final int PROCESSING_INSTRUCTION_KIND

See Also:
  Constant Field Values

### TEXT_KIND

    static final int TEXT_KIND

See Also:
  Constant Field Values

### ATOMIC_KIND

    static final int ATOMIC_KIND

See Also:
  Constant Field Values

### ANYTYPE_KIND

    static final int ANYTYPE_KIND

See Also:
  Constant Field Values

### ANYSIMPLETYPE_KIND

    static final int ANYSIMPLETYPE_KIND

See Also:
  Constant Field Values

### UNTYPED_KIND

    static final int UNTYPED_KIND

See Also:
  Constant Field Values

### UNTYPED_ATOMIC_KIND

    static final int UNTYPED_ATOMIC_KIND

See Also:
  Constant Field Values

### CHANGED_KIND

    static final int CHANGED_KIND

See Also:
  Constant Field Values

### CHANGED_ELEMENT_KIND

    static final int CHANGED_ELEMENT_KIND

See Also:
  Constant Field Values

### ZERO

    static final int ZERO

See Also:
  Constant Field Values

### ONE

    static final int ONE

See Also:
  Constant Field Values

### QUES

    static final int QUES

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### XML

    static final char XML

See Also:
  Constant Field Values

### XML_SCHEMA

    static final char XML_SCHEMA

See Also:
  Constant Field Values

### XQUERY

    static final char XQUERY

See Also:
  Constant Field Values

### SOAP

    static final char SOAP

See Also:
  Constant Field Values

### SDO

    static final char SDO

See Also:
  Constant Field Values

Method Detail

### getKind

    char getKind()

  Returns:
    The type kind.

### getQName

    javax.xml.namespace.QName getQName()

  Returns:
    The type qualified name.

### getQuantifier

    int getQuantifier()

  Returns:
    The type quantifier. See weblogic.xml.query.types.XQueryType.

### getSchemaLocator

    java.lang.String getSchemaLocator()

  Deprecated. Use getPrimarySchemaRef() instead

  Returns:
    The location of the primary defining schema for this type. `Null` for built-in and inferred types.

### getPrimarySchemaRef

    SchemaRef getPrimarySchemaRef()

  Returns:
    The reference to the primary defining schema for this type. `Null` for built-in and inferred types.

### getSchemaRefs

    java.util.Collection getSchemaRefs()

  Returns:
    A collection of references to all the defining schemas for this type. Will be empty for built-in or inferred types.

### isBuiltIn

    boolean isBuiltIn()

  Returns:
    A boolean value indicating whether the type is built-in.

### getBuiltInKind

    java.lang.Character getBuiltInKind()

  Returns:
    A value indicating the kind of a built-in type. `null` if the type is not built-in.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.